Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_new_query

## Name

librdf_new_query -- Constructor - create a new librdf_query object

## Synopsis

``librdf_query* `librdf_new_query`` (librdf_world * `world`, const char * `name`, librdf_uri * `uri`, const char * `query_string`);`

## Arguments

`world`

  redland world object

`name`

  the query language name

`uri`

  the query language URI (or NULL)

`query_string`

  the query string

## Return value

a new librdf_query object or NULL on failure

<<< Previous | Home | Next >>>
librdf_get_query_factory | Up | librdf_new_query_from_query